OVERLAY_TEXT(3)

FUNCTION
overlay_text - Add a text string to an overlay object list.

SYNOPSIS
#include <karma_overlay.h>

unsigned int overlay_text

(KOverlayList olist, char *string, unsigned int type, double x, double y, CONST char *colourname, char *fontname, flag clear_under)

DESCRIPTION
Add a text string to an overlay object list.

olist
    The overlay list object.

string
    The text string.

type
    The type of the co-ordinate. See <-overlay_COORDINATE_TYPES-> for a list of supported co-ordinate types.

x   The horizontal position of the co-ordinate.

y   The vertical position of the co-ordinate.

colourname
    The colourname.

fontname
    The font name.

clear_under
    If TRUE, then both the foreground and background of the characters will be drawn.

RETURN VALUE
The objectID on success, else 0.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/